tigase.server.xmppserver.proc

## Class S2SAbstractProcessor

- java.lang.Object
- - tigase.server.xmppserver.proc.S2SAbstractProcessor

- All Implemented Interfaces:
    S2SProcessor
  Direct Known Subclasses:
    Dialback, PacketChecker, StartTLS, StartZlib, StreamError, StreamFeatures, StreamOpen

      public abstract class S2SAbstractProcessor
      extends Object
      implements S2SProcessor

  Created: Dec 10, 2010 3:32:11 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `DB_RESULT_EL_NAME` Field description
    `protected static String` | `DB_VERIFY_EL_NAME` Field description
    `protected static String` | `DIALBACK_EL` Field description
    `protected static String` | `DIALBACK_NS` Field description
    `protected static String[]` | `FEATURES_DIALBACK_PATH` Field description
    `protected static String` | `FEATURES_EL` Field description
    `protected static String` | `FEATURES_NS` Field description
    `protected static String[]` | `FEATURES_STARTTLS_PATH` Field description
    `static boolean` | `FORCE_VERSION` Field description
    `protected S2SConnectionHandlerIfc<S2SIOService>` | `handler` Field description
    `protected static String` | `PROCEED_TLS_EL` Field description
    `protected static String` | `RESULT_EL_NAME` Field description
    `protected static String` | `START_TLS_EL` Field description
    `protected static String` | `START_TLS_NS` Field description
    `protected static String` | `STREAM_FEATURES_EL` Field description
    `protected static String` | `VERIFY_EL_NAME` Field description
    `protected static String` | `VERSION_ATT_NAME` Field description
    `protected static String` | `XMLNS_CLIENT_VAL` Field description
    `protected static String` | `XMLNS_DB_ATT` Field description
    `protected static String` | `XMLNS_DB_VAL` Field description
    `protected static String` | `XMLNS_SERVER_VAL` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `S2SAbstractProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateStreamError(boolean initStream, String error_el, S2SIOService serv)` Method description
    `void` | `init(S2SConnectionHandlerIfc<S2SIOService> handler, Map<String,Object> props)` Method description
    `boolean` | `process(Packet p, S2SIOService serv, Queue<Packet> results)` Method description
    `void` | `serviceStarted(S2SIOService serv)` Method description
    `void` | `serviceStopped(S2SIOService serv)` Method description
    `boolean` | `skipTLSForHost(String hostname)` Method description
    `void` | `streamClosed(S2SIOService serv)` Method description
    `void` | `streamFeatures(S2SIOService serv, List<tigase.xml.Element> results)` Method description
    `String` | `streamOpened(S2SIOService serv, Map<String,String> attribs)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DB_RESULT_EL_NAME

          protected static final String DB_RESULT_EL_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DB_VERIFY_EL_NAME

          protected static final String DB_VERIFY_EL_NAME

      Field description
      See Also:
        Constant Field Values

    - #### DIALBACK_EL

          protected static final String DIALBACK_EL

      Field description
      See Also:
        Constant Field Values

    - #### DIALBACK_NS

          protected static final String DIALBACK_NS

      Field description
      See Also:
        Constant Field Values

    - #### FEATURES_EL

          protected static final String FEATURES_EL

      Field description
      See Also:
        Constant Field Values

    - #### FEATURES_NS

          protected static final String FEATURES_NS

      Field description
      See Also:
        Constant Field Values

    - #### PROCEED_TLS_EL

          protected static final String PROCEED_TLS_EL

      Field description
      See Also:
        Constant Field Values

    - #### RESULT_EL_NAME

          protected static final String RESULT_EL_NAME

      Field description
      See Also:
        Constant Field Values

    - #### START_TLS_EL

          protected static final String START_TLS_EL

      Field description
      See Also:
        Constant Field Values

    - #### START_TLS_NS

          protected static final String START_TLS_NS

      Field description
      See Also:
        Constant Field Values

    - #### STREAM_FEATURES_EL

          protected static final String STREAM_FEATURES_EL

      Field description
      See Also:
        Constant Field Values

    - #### VERIFY_EL_NAME

          protected static final String VERIFY_EL_NAME

      Field description
      See Also:
        Constant Field Values

    - #### VERSION_ATT_NAME

          protected static final String VERSION_ATT_NAME

      Field description
      See Also:
        Constant Field Values

    - #### XMLNS_CLIENT_VAL

          protected static final String XMLNS_CLIENT_VAL

      Field description
      See Also:
        Constant Field Values

    - #### XMLNS_DB_ATT

          protected static final String XMLNS_DB_ATT

      Field description
      See Also:
        Constant Field Values

    - #### XMLNS_DB_VAL

          protected static final String XMLNS_DB_VAL

      Field description
      See Also:
        Constant Field Values

    - #### XMLNS_SERVER_VAL

          protected static final String XMLNS_SERVER_VAL

      Field description
      See Also:
        Constant Field Values

    - #### FEATURES_STARTTLS_PATH

          protected static final String[] FEATURES_STARTTLS_PATH

      Field description

    - #### FEATURES_DIALBACK_PATH

          protected static final String[] FEATURES_DIALBACK_PATH

      Field description

    - #### FORCE_VERSION

          public static boolean FORCE_VERSION

      Field description

    - #### handler

          protected S2SConnectionHandlerIfc<S2SIOService> handler

      Field description

  - ### Constructor Detail

    - #### S2SAbstractProcessor

          public S2SAbstractProcessor()

  - ### Method Detail

    - #### generateStreamError

          public void generateStreamError(boolean initStream,
                                 String error_el,
                                 S2SIOService serv)

      Method description
      Parameters:
        `initStream` -
        `error_el` -
        `serv` -

    - #### init

          public void init(S2SConnectionHandlerIfc<S2SIOService> handler,
                  Map<String,Object> props)

      Method description
      Specified by:
        `init` in interface `S2SProcessor`
      Parameters:
        `handler` -
        `props` -

    - #### process

          public boolean process(Packet p,
                        S2SIOService serv,
                        Queue<Packet> results)

      Method description
      Specified by:
        `process` in interface `S2SProcessor`
      Parameters:
        `p` -
        `serv` -
        `results` -

    - #### serviceStarted

          public void serviceStarted(S2SIOService serv)

      Method description
      Specified by:
        `serviceStarted` in interface `S2SProcessor`
      Parameters:
        `serv` -

    - #### serviceStopped

          public void serviceStopped(S2SIOService serv)

      Method description
      Specified by:
        `serviceStopped` in interface `S2SProcessor`
      Parameters:
        `serv` -

    - #### skipTLSForHost

          public boolean skipTLSForHost(String hostname)

      Method description
      Parameters:
        `hostname` -

    - #### streamClosed

          public void streamClosed(S2SIOService serv)

      Method description
      Specified by:
        `streamClosed` in interface `S2SProcessor`
      Parameters:
        `serv` -

    - #### streamFeatures

          public void streamFeatures(S2SIOService serv,
                            List<tigase.xml.Element> results)

      Method description
      Specified by:
        `streamFeatures` in interface `S2SProcessor`
      Parameters:
        `serv` -
        `results` -

    - #### streamOpened

          public String streamOpened(S2SIOService serv,
                            Map<String,String> attribs)

      Method description
      Specified by:
        `streamOpened` in interface `S2SProcessor`
      Parameters:
        `serv` -
        `attribs` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.